Upgrading TGP Rotator 1.0.x to 1.1.x

Upgrading

Important Notice The minimum requirements for this version have been updated. To ensure compatibility, your server will need to have at least version 6.0.0 of ImageMagick and the ImageMagick Perl module installed. If you are not sure what version your server has, contact your server administrator to find out. If your server does not have at least version 6.0.0, have your server administrator upgrade ImageMagick before you upgrade TGP Rotator.

Important Notice This upgrade contains many new features and changes to how some of the existing features work. It is recommended that you read over the software documentation to see the changes and also view the online demo on our site before you upgrade. In most cases your TGP page templates will need to be slightly modified because the page building system has changed. Be sure to allow time for this when you do the upgrade.

Upgrading your installation requires only a few steps. The first thing you should do is a database backup from your 1.0.x installation just in case you need to revert back to that version. Once that is done you need to upload the new files from the new version to your server. All of the files that need to be uploaded are listed below.
Once all of the files have been uploaded, change the permissions on the cron.cgi and scanner.cgi files to 777. You can then bring up the patch.cgi script in your browser which will update those two files with the correct settings. After that has been successfully completed, change the permissions back to 755 on the cron.cgi and scanner.cgi files.

The xml.cgi file is new to this version and will need to have it's permissions set. Change them to 755 if you have not already done so.

You now should login to your TGP Rotator control panel. Go to the Edit Options interface and press the Save Options button. You do not need to change any settings, just press that button so the software can check to make sure all of the necessary files and folders are available.

You are now complete with the patching process.

Important Notes

If Perl 5 is not located at /usr/bin/perl be sure to update the first line of all .cgi files with the correct path to Perl on your server.

Make sure you upload all of the files in ASCII mode!

It is not necessary to delete any files from your server before you upload the updated scripts. If you do delete any files, make sure you reset all permissions on the files you upload. All file permissions are covered in the Installation section of the manual.